## last-align 1061

=== debian/changelog ===
last-align (1061-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 10 May 2020 13:57:46 +0200

last-align (1060-5) unstable; urgency=medium

  * Team upload.
  * Fix i386 build.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 06 May 2020 21:01:18 +0200

last-align (1060-4) unstable; urgency=medium

  * Team upload.
  * Enable cross-building
  * Fix FTBFS on ppc64el, courtesy of frediz. (Closes: #959866)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 06 May 2020 14:28:21 +0200

last-align (1060-3) unstable; urgency=medium

  * Team upload.
  * Use a newer libsimde-dev to fix a bug

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 19 Apr 2020 23:38:45 +0200

last-align (1060-2) unstable; urgency=medium

  * Team upload.
  * Switch to the libsimde-dev package from an internal copy
  * Added address of upstream's mailing list as Bug-Submit

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 19 Apr 2020 14:21:01 +0200

=== debian/control ===
Source: last-align
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               help2man,
               python3-pil,
               zlib1g-dev,
               libsimde-dev ( >= 0.0.0.git.20200419 )
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/last-align
Vcs-Git: https://salsa.debian.org/med-team/last-align.git
Homepage: http://last.cbrc.jp/
Rules-Requires-Root: no

Package: last-align
Architecture: any
Built-Using: ${Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         parallel
Recommends: python3,
            python3-pil
Description: genome-scale comparison of biological sequences
 LAST is software for comparing and aligning sequences, typically DNA or
 protein sequences. LAST is similar to BLAST, but it copes better with very
 large amounts of sequence data. Here are two things LAST is good at:
 .
  * Comparing large (e.g. mammalian) genomes.
  * Mapping lots of sequence tags onto a genome.
 .
 The main technical innovation is that LAST finds initial matches based on
 their multiplicity, instead of using a fixed size (e.g. BLAST uses 10-mers).
 This allows one to map tags to genomes without repeat-masking, without becoming
 overwhelmed by repetitive hits. To find these variable-sized matches, it uses
 a suffix array (inspired by Vmatch). To achieve high sensitivity, it uses a
 discontiguous suffix array, analogous to spaced seeds.

=== debian/rules ===
#!/usr/bin/make -f

# This package is maintained by the Debian Med packaging team. Please refer to
# our group policy if you would like to commit to our Git repository. All
# Debian developpers have write acces to it.
#
# https://debian-med.alioth.debian.org/docs/policy.html

include /usr/share/dpkg/default.mk

prefix=$(CURDIR)/debian/$(DEB_SOURCE)/usr
mandir=$(prefix)/share/man/man1
libexecdir=$(prefix)/lib/$(DEB_SOURCE)

# Copy and extend upstream CXXFLAGS here because makefile enables only overriding them
export DEB_CXXFLAGS_MAINT_APPEND += -Wall -Wextra -Wcast-qual -Wswitch-enum -Wundef -Wcast-align -Wno-long-long -ansi -pedantic -std=c++11 -fopenmp-simd -O3
export DEB_CPPFLAGS_MAINT_APPEND += -DHAS_CXX_THREADS -DSIMDE_ENABLE_OPENMP
# -Wconversion
# -fomit-frame-pointer ?

export DEB_LDFLAGS_MAINT_APPEND += -pthread

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

BUILT_USING=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W "libsimde-dev")

%:
	dh  $@

override_dh_auto_build:
ifeq (amd64,$(DEB_HOST_ARCH))
	mkdir -p $(prefix)
	mkdir -p $(libexecdir)
	for SIMD in avx2 avx sse4.1 ssse3 sse3 sse2 ; do \
		export CXXFLAGS="$(CXXFLAGS) -m$${SIMD}" && export CFLAGS="$(CFLAGS) -m$${SIMD}" && \
		dh_auto_build -- all SFX=-$${SIMD}  ; \
		find . -name '*.o' -delete ; \
		find . -name '*.o8' -delete ; \
	done
else ifeq (i386,$(DEB_HOST_ARCH))
	mkdir -p $(prefix)
	mkdir -p $(libexecdir)
	for SIMD in ssse3 sse3 sse2 sse mmx; do \
		export CXXFLAGS="$(CXXFLAGS) -m$${SIMD}" && export CFLAGS="$(CFLAGS) -m$${SIMD}" && \
		dh_auto_build -- all SFX=-$${SIMD}  ; \
		find . -name '*.o' -delete ; \
		find . -name '*.o8' -delete ; \
	done
	export CXXFLAGS="$(CXXFLAGS)" && export CFLAGS="$(CFLAGS)" && dh_auto_build -- all SFX=-plain
else
	dh_auto_build
endif

HELP2MAN = help2man --no-info --version-string="$(DEB_VERSION_UPSTREAM)"

override_dh_auto_install:
ifeq (amd64,$(DEB_HOST_ARCH))
	dh_install debian/bin/simd-dispatch /usr/lib/$(DEB_SOURCE)/
	dh_install src/lastdb-* src/lastal-* src/last-split-* src/last-merge-batches-* src/last-pair-probs-* src/lastdb8-* src/lastal8-* src/last-split8-* usr/lib/last-align
	dh_install scripts/* usr/bin
	mkdir -p $(prefix)/bin
	cd $(prefix)/bin \
		&& for prog in lastdb lastal last-split last-merge-batches last-pair-probs lastdb8 lastal8 last-split8 ; do \
		ln -s ../lib/$(DEB_SOURCE)/simd-dispatch $${prog} ; done
else ifeq (i386,$(DEB_HOST_ARCH))
	dh_install debian/bin/simd-dispatch /usr/lib/$(DEB_SOURCE)/
	dh_install src/lastdb-* src/lastal-* src/last-split-* src/last-merge-batches-* src/last-pair-probs-* src/lastdb8-* src/lastal8-* src/last-split8-* usr/lib/last-align
	dh_install scripts/* usr/bin
	mkdir -p $(prefix)/bin
	cd $(prefix)/bin \
		&& for prog in lastdb lastal last-split last-merge-batches last-pair-probs lastdb8 lastal8 last-split8 ; do \
		ln -s ../lib/$(DEB_SOURCE)/simd-dispatch $${prog} ; done
else
	$(MAKE) -j$(NUMJOBS) install prefix=$(prefix)
endif

override_dh_auto_clean:
ifeq (amd64,$(DEB_HOST_ARCH))
	for SIMD in avx2 avx sse4.1 ssse3 sse3 sse2 ; do \
		dh_auto_clean -- SFX=-$${SIMD} ; done
else ifeq (i386,$(DEB_HOST_ARCH))
	for SIMD in ssse3 sse3 sse2 sse mmx plain; do \
		dh_auto_clean -- SFX=-$${SIMD} ; done
else
	dh_auto_clean
endif
	for i in last-merge-batches last-pair-probs last-split last-split8 lastal lastal8 lastdb lastdb8; \
	do \
	   for j in avx avx2 sse2 sse3 sse4.1 ssse3 ; \
	   do \
	      rm -f src/$$i-$$j ; \
	   done ; \
	done

override_dh_installman:
	dh_installman
	$(HELP2MAN) \
		 --name='make a dotplot, a.k.a. Oxford Grid, of alignments in LAST tabular format' \
	         $(CURDIR)/scripts/last-dotplot > $(mandir)/last-dotplot.1
	$(HELP2MAN) \
	         --name="genome-scale comparison of biological sequences" \
	         --help-option="-h" \
                 $(prefix)/bin/lastal > $(mandir)/lastal.1
	$(HELP2MAN) \
	         --name="genome-scale comparison of biological sequences" \
	         --help-option="-h" \
                 $(prefix)/bin/lastal8 > $(mandir)/lastal8.1
        # help2man output needs manual postprocessing - see debian/mans
	#$(HELP2MAN) \
	#         --name="genome-scale comparison of biological sequences" \
	#         --help-option="-h" \
        #         $(prefix)/bin/lastdb > $(mandir)/lastdb.1
	$(HELP2MAN) \
                 --name="Sort MAF-format alignments by sequence name" \
                 $(CURDIR)/scripts/maf-sort > $(mandir)/maf-sort.1
	$(HELP2MAN) \
                 --name="changes the order of the sequences in MAF-format alignments" \
                 $(CURDIR)/scripts/maf-swap > $(mandir)/maf-swap.1
        # help2man output needs manual postprocessing - see debian/mans
	#$(HELP2MAN) \
        #         --name="Add extra column with mapping probabilities" \
        #         $(CURDIR)/scripts/last-map-probs > $(mandir)/last-map-probs.1
	# This script has not enough to put in a manual page.
	#$(HELP2MAN) \
        #         --name="Read files of lastal output, merge corresponding batches, and write them." \
        #         $(CURDIR)/scripts/last-merge-batches > $(mandir)/last-merge-batches.1
        # These scripts were droped
	#$(HELP2MAN) \
        #         --name="Clean up MAF-format alignments" \
        #         $(CURDIR)/scripts/last-reduce-alignments > $(mandir)/last-reduce-alignments.1
	#$(HELP2MAN) \
        #         --name='Remove MAF-format alignments which are "dominated" by others' \
        #         $(CURDIR)/scripts/last-remove-dominated > $(mandir)/last-remove-dominated.1
	$(HELP2MAN) \
                 --name='Estimates "split" or "spliced" alignments.' \
                 $(prefix)/bin/last-split > $(mandir)/last-split.1
	$(HELP2MAN) \
                 --name='Estimates "split" or "spliced" alignments.' \
                 $(prefix)/bin/last-split8 > $(mandir)/last-split8.1
	$(HELP2MAN) \
                 --name="Join two or more sets of MAF-format multiple alignments" \
                 $(CURDIR)/scripts/maf-join > $(mandir)/maf-join.1
	$(HELP2MAN) \
                 --name="Convert MAF-format alignments to tabular format" \
                 $(CURDIR)/scripts/maf-convert > $(mandir)/maf-convert.1
	$(HELP2MAN) \
                 --name="Read 2 fastq files, and write them interleaved" \
                 $(CURDIR)/scripts/fastq-interleave > $(mandir)/fastq-interleave.1
	$(HELP2MAN) \
                 --name="Read files of lastal output, merge corresponding batches, and write them" \
                 $(prefix)/bin/last-merge-batches > $(mandir)/last-merge-batches.1
        # help2man output needs manual postprocessing - see debian/mans
	#$(HELP2MAN) \
        #         --name="Read alignments of paired DNA reads to a genome, and do estimations" \
        #         $(prefix)/bin/last-pair-probs > $(mandir)/last-pair-probs.1
	$(HELP2MAN) \
                 --name="Get alignments that have a segment with score >= threshold, with gentle masking of lowercase letters" \
                 $(CURDIR)/scripts/last-postmask > $(mandir)/last-postmask.1
	$(HELP2MAN) \
                 --name="Try to find suitable score parameters for aligning the given sequences" \
                 $(CURDIR)/scripts/last-train > $(mandir)/last-train.1

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog.txt

override_dh_gencontrol:
	dh_gencontrol -- -VBuilt-Using="$(BUILT_USING)"

## last-align 1066

=== debian/changelog ===
last-align (1066-1) unstable; urgency=medium

  * Team upload.

  [ Michael R. Crusoe ]
  * i386: enable avx2, avx, and sse4.1 specific builds as well
  * Demote GNU parallel to a recommends; only used by parallel-fasta

  [ Steffen Moeller ]
  * New upstream version.
  * debhelper-compat 13 (routine-update)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 17 May 2020 12:32:51 +0200

=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,7 @@
 else ifeq (i386,$(DEB_HOST_ARCH))
 	mkdir -p $(prefix)
 	mkdir -p $(libexecdir)
-	for SIMD in ssse3 sse3 sse2 sse mmx; do \
+	for SIMD in avx2 avx sse4.1 ssse3 sse3 sse2 sse; do \
 		export CXXFLAGS="$(CXXFLAGS) -m$${SIMD}" && export CFLAGS="$(CFLAGS) -m$${SIMD}" && \
 		dh_auto_build -- all SFX=-$${SIMD}  ; \
 		find . -name '*.o' -delete ; \
@@ -79,14 +79,14 @@
 	for SIMD in avx2 avx sse4.1 ssse3 sse3 sse2 ; do \
 		dh_auto_clean -- SFX=-$${SIMD} ; done
 else ifeq (i386,$(DEB_HOST_ARCH))
-	for SIMD in ssse3 sse3 sse2 sse mmx plain; do \
+	for SIMD in avx2 avx sse4.1 ssse3 sse3 sse2 sse plain; do \
 		dh_auto_clean -- SFX=-$${SIMD} ; done
 else
 	dh_auto_clean
 endif
 	for i in last-merge-batches last-pair-probs last-split last-split8 lastal lastal8 lastdb lastdb8; \
 	do \
-	   for j in avx avx2 sse2 sse3 sse4.1 ssse3 ; \
+	   for j in avx avx2 sse2 sse3 sse4.1 ssse3 sse3 sse2 sse ; \
 	   do \
 	      rm -f src/$$i-$$j ; \
 	   done ; \
@@ -105,7 +105,7 @@
 	         --name="genome-scale comparison of biological sequences" \
 	         --help-option="-h" \
                  $(prefix)/bin/lastal8 > $(mandir)/lastal8.1
-        # help2man output needs manual postprocessing - see debian/mans
+	# help2man output needs manual postprocessing - see debian/mans
 	#$(HELP2MAN) \
 	#         --name="genome-scale comparison of biological sequences" \
 	#         --help-option="-h" \
@@ -116,7 +116,7 @@
 	$(HELP2MAN) \
                  --name="changes the order of the sequences in MAF-format alignments" \
                  $(CURDIR)/scripts/maf-swap > $(mandir)/maf-swap.1
-        # help2man output needs manual postprocessing - see debian/mans
+	# help2man output needs manual postprocessing - see debian/mans
 	#$(HELP2MAN) \
         #         --name="Add extra column with mapping probabilities" \
         #         $(CURDIR)/scripts/last-map-probs > $(mandir)/last-map-probs.1
@@ -124,7 +124,7 @@
 	#$(HELP2MAN) \
         #         --name="Read files of lastal output, merge corresponding batches, and write them." \
         #         $(CURDIR)/scripts/last-merge-batches > $(mandir)/last-merge-batches.1
-        # These scripts were droped
+	#         # These scripts were droped
 	#$(HELP2MAN) \
         #         --name="Clean up MAF-format alignments" \
         #         $(CURDIR)/scripts/last-reduce-alignments > $(mandir)/last-reduce-alignments.1
@@ -149,7 +149,7 @@
 	$(HELP2MAN) \
                  --name="Read files of lastal output, merge corresponding batches, and write them" \
                  $(prefix)/bin/last-merge-batches > $(mandir)/last-merge-batches.1
-        # help2man output needs manual postprocessing - see debian/mans
+	# help2man output needs manual postprocessing - see debian/mans
 	#$(HELP2MAN) \
         #         --name="Read alignments of paired DNA reads to a genome, and do estimations" \
         #         $(prefix)/bin/last-pair-probs > $(mandir)/last-pair-probs.1

## last-align 1080

=== debian/changelog ===
last-align (1080-1) unstable; urgency=medium

  * New upstream version
  * Refreshed patches

 -- Charles Plessy <plessy@debian.org>  Wed, 12 Aug 2020 11:12:45 +0000

## last-align 1133

=== doc/Makefile ===
# Rules for converting the txt documents to html.

DOCS = FAQ.html bisulfite.html last-dotplot.html last-evalues.html	\
last-map-probs.html last-matrices.html last-pair-probs.html		\
last-papers.html last-parallel.html last-postmask.html			\
last-repeats.html last-seeds.html last-split.html last-train.html	\
last-tuning.html last-tutorial.html last.html lastal.html lastdb.html	\
maf-convert.html maf-cut.html

all: ${DOCS}

${DOCS}: last-doc.css Makefile

.SUFFIXES: .html .txt

# Ugh!  Is there a better way?
RST_CSS = `locate html4css1.css | tail -n1`
#RST_CSS = html4css1.css

RSTFLAGS = --initial-header-level=2 --no-compact-lists	\
--no-compact-field-lists --option-limit=0 --no-doc-info

.txt.html:
	rst2html --stylesheet-path=${RST_CSS},last-doc.css ${RSTFLAGS} $< $@

last-matrices.txt: ../data/*.mat
	../build/mat-doc.sh ../data/*.mat > $@

last-seeds.txt: ../data/*.seed
	cd ../data && ../build/seed-doc.sh [!R]*d RY?-*d RY??-*d > ../doc/$@

=== debian/changelog ===
last-align (1133-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 17 Oct 2020 13:20:28 +0530

last-align (1111-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1111

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 26 Sep 2020 02:11:54 +0530

last-align (1110-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Refreshed patches.

 -- Steffen Moeller <moeller@debian.org>  Sun, 20 Sep 2020 16:40:30 +0200

## last-align 1145

=== debian/changelog ===
last-align (1145-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 11 Nov 2020 02:58:49 +0530

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                help2man,
                python3-pil,
                zlib1g-dev,
-               libsimde-dev ( >= 0.0.0.git.20200419 )
+               libsimde-dev
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/last-align
 Vcs-Git: https://salsa.debian.org/med-team/last-align.git
@@ -17,12 +17,12 @@
 
 Package: last-align
 Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Recommends: python3,
+            python3-pil,
+            parallel
 Built-Using: ${Built-Using}
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         parallel
-Recommends: python3,
-            python3-pil
 Description: genome-scale comparison of biological sequences
  LAST is software for comparing and aligning sequences, typically DNA or
  protein sequences. LAST is similar to BLAST, but it copes better with very

## last-align 1167

=== debian/changelog ===
last-align (1167-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 14 Dec 2020 23:14:25 +0530

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-pil,
                zlib1g-dev,
                libsimde-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/last-align
 Vcs-Git: https://salsa.debian.org/med-team/last-align.git
 Homepage: http://last.cbrc.jp/

## last-align 1168

=== debian/changelog ===
last-align (1168-1) unstable; urgency=medium

  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 19 Dec 2020 16:19:45 +0530

## last-align 1169

=== debian/changelog ===
last-align (1169-1) unstable; urgency=medium

  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 23 Dec 2020 12:13:08 +0530

## last-align 1170

=== debian/changelog ===
last-align (1170-1) unstable; urgency=medium

  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 31 Dec 2020 17:04:25 +0530

## last-align 1178

=== debian/changelog ===
last-align (1178-1) unstable; urgency=medium

  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 28 Jan 2021 17:19:32 +0530

## last-align 1179

=== doc/Makefile ===
--- 
+++ 
@@ -13,6 +13,8 @@
 
 .SUFFIXES: .html .txt
 
+RST2HTML = rst2html  # xxx .py ???
+
 # Ugh!  Is there a better way?
 RST_CSS = `locate html4css1.css | tail -n1`
 #RST_CSS = html4css1.css
@@ -21,7 +23,7 @@
 --no-compact-field-lists --option-limit=0 --no-doc-info
 
 .txt.html:
-	rst2html --stylesheet-path=${RST_CSS},last-doc.css ${RSTFLAGS} $< $@
+	${RST2HTML} --stylesheet-path=${RST_CSS},last-doc.css ${RSTFLAGS} $< $@
 
 last-matrices.txt: ../data/*.mat
 	../build/mat-doc.sh ../data/*.mat > $@

=== debian/changelog ===
last-align (1179-1) unstable; urgency=medium

  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 01 Feb 2021 16:02:34 +0530

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: last-align
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Charles Plessy <plessy@debian.org>,
-           Andreas Tille <tille@debian.org>
+           Andreas Tille <tille@debian.org>,
+           Nilesh Patra <npatra974@gmail.com>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # our group policy if you would like to commit to our Git repository. All
 # Debian developpers have write acces to it.
 #
-# https://debian-med.alioth.debian.org/docs/policy.html
+# https://med-team.pages.debian.net/policy/
 
 include /usr/share/dpkg/default.mk

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-pil
Restrictions: allow-stderr

## last-align 1256

=== debian/changelog ===
last-align (1256-1) unstable; urgency=medium

  * d/watch: Fix fetch URL - last-align has moved to gitlab
  * New upstream version 1256
  * d/p/helpMakefiles.patch: Refresh helpmakefile.patch
  * d/p/simde: Attempt adapting simde to new upstream
  * Drop Patches:
    - Drop d/p/fix-959866.patch: Since the problem has been internally
      fixed in simde
    - Drop d/p/2to3.patch: The new upstream is now compatible with both
      python2 and python3, hence these changes are un-needed.
      Added d/p/fix-shebang.patch to fix shebang in python script, as
      a replacement.
  * d/rules:
    - Attempt adapting to new upstream version
    - Add rest manpages
    - Install all lastdb5 based binaries
    - Install new fasta+fastq scripts
  * d/debian/last-align.doc-base.last-align-manual:
    The manual page has moved to last-cookbook.rst
  * d/tests/last-test: Add additional tests
  * d/control: Move python3 to Depends
    - There are several python3 scripts being vendored, it does make
      sense to promote python3 to depends
  * d/salsa-ci.yml: Disable blhc and reprotest
  * d/lintian-overrides: Add lintian override for maf-cut manpage

 -- Nilesh Patra <nilesh@debian.org>  Mon, 23 Aug 2021 00:56:44 +0530

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>,
-           Nilesh Patra <npatra974@gmail.com>
+           Nilesh Patra <nilesh@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -13,15 +13,15 @@
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/last-align
 Vcs-Git: https://salsa.debian.org/med-team/last-align.git
-Homepage: http://last.cbrc.jp/
+Homepage: https://gitlab.com/mcfrith/last
 Rules-Requires-Root: no
 
 Package: last-align
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Recommends: python3,
-            python3-pil,
+         ${misc:Depends},
+         python3
+Recommends: python3-pil,
             parallel
 Built-Using: ${Built-Using}
 Description: genome-scale comparison of biological sequences

=== debian/rules ===
#!/usr/bin/make -f

# This package is maintained by the Debian Med packaging team. Please refer to
# our group policy if you would like to commit to our Git repository. All
# Debian developpers have write acces to it.
#
# https://med-team.pages.debian.net/policy/

include /usr/share/dpkg/default.mk

prefix=$(CURDIR)/debian/$(DEB_SOURCE)/usr
mandir=$(prefix)/share/man/man1
libexecdir=$(prefix)/lib/$(DEB_SOURCE)

# Copy and extend upstream CXXFLAGS here because makefile enables only overriding them
export DEB_CXXFLAGS_MAINT_APPEND += -Wall -Wextra -Wcast-qual -Wswitch-enum -Wundef -Wcast-align -Wno-long-long -ansi -pedantic -std=c++11 -fopenmp-simd -O3
export DEB_CPPFLAGS_MAINT_APPEND += -g -DHAS_CXX_THREADS -DSIMDE_ENABLE_OPENMP
# -Wconversion
# -fomit-frame-pointer ?

export DEB_LDFLAGS_MAINT_APPEND += -pthread

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

BUILT_USING=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W "libsimde-dev")

%:
	dh  $@

override_dh_auto_build:
ifeq (amd64,$(DEB_HOST_ARCH))
	mkdir -p $(prefix)
	mkdir -p $(libexecdir)
	for SIMD in avx2 avx sse4.1 ssse3 sse3 sse2 ; do \
		export CXXFLAGS="$(CXXFLAGS) -m$${SIMD}" && export CFLAGS="$(CFLAGS) -m$${SIMD}" && \
		dh_auto_build -- all SFX=-$${SIMD}  ; \
		find . -name '*.o' -delete ; \
		find . -name '*.o5' -delete ; \
	done
	export CXXFLAGS="$(CXXFLAGS)" && export CFLAGS="$(CFLAGS)" && dh_auto_build -- all SFX=-plain
else ifeq (i386,$(DEB_HOST_ARCH))
	mkdir -p $(prefix)
	mkdir -p $(libexecdir)
	for SIMD in avx2 avx sse4.1 ssse3 sse3 sse2 sse; do \
		export CXXFLAGS="$(CXXFLAGS) -m$${SIMD}" && export CFLAGS="$(CFLAGS) -m$${SIMD}" && \
		dh_auto_build -- all SFX=-$${SIMD}  ; \
		find . -name '*.o' -delete ; \
		find . -name '*.o5' -delete ; \
	done
	export CXXFLAGS="$(CXXFLAGS)" && export CFLAGS="$(CFLAGS)" && dh_auto_build -- all SFX=-plain
else
	dh_auto_build
endif

HELP2MAN = help2man --no-info --version-string="$(DEB_VERSION_UPSTREAM)"

override_dh_auto_install:
ifeq (amd64,$(DEB_HOST_ARCH))
	dh_install debian/bin/simd-dispatch /usr/lib/$(DEB_SOURCE)/
	dh_install bin/lastdb-* bin/lastal-* bin/last-split-* bin/last-merge-batches-* bin/last-pair-probs-* bin/lastdb5-* bin/lastal5-* bin/last-split5-* usr/lib/last-align
	dh_install bin/fastq-* bin/fasta-* bin/last-dotplot bin/last-map-probs bin/last-postmask bin/last-train bin/maf-* bin/parallel-fast* usr/bin
	mkdir -p $(prefix)/bin
	cd $(prefix)/bin \
		&& for prog in lastdb lastal last-split last-merge-batches last-pair-probs lastdb5 lastal5 last-split5 ; do \
		ln -s ../lib/$(DEB_SOURCE)/simd-dispatch $${prog} ; done
else ifeq (i386,$(DEB_HOST_ARCH))
	dh_install debian/bin/simd-dispatch /usr/lib/$(DEB_SOURCE)/
	dh_install bin/lastdb-* bin/lastal-* bin/last-split-* bin/last-merge-batches-* bin/last-pair-probs-* bin/lastdb5-* bin/lastal5-* bin/last-split5-* usr/lib/last-align
	dh_install bin/fastq-* bin/fasta-* bin/last-dotplot bin/last-map-probs bin/last-postmask bin/last-train bin/maf-* bin/parallel-fast* usr/bin
	mkdir -p $(prefix)/bin
	cd $(prefix)/bin \
		&& for prog in lastdb lastal last-split last-merge-batches last-pair-probs lastdb5 lastal5 last-split5 ; do \
		ln -s ../lib/$(DEB_SOURCE)/simd-dispatch $${prog} ; done
else
	$(MAKE) -j$(NUMJOBS) install prefix=$(prefix)
endif

override_dh_auto_clean:
ifeq (amd64,$(DEB_HOST_ARCH))
	for SIMD in avx2 avx sse4.1 ssse3 sse3 sse2 ; do \
		dh_auto_clean -- SFX=-$${SIMD} ; done
else ifeq (i386,$(DEB_HOST_ARCH))
	for SIMD in avx2 avx sse4.1 ssse3 sse3 sse2 sse plain; do \
		dh_auto_clean -- SFX=-$${SIMD} ; done
else
	dh_auto_clean
endif
	for i in last-merge-batches last-pair-probs last-split last-split5 lastal lastal5 lastdb lastdb5; \
	do \
	   for j in avx avx2 sse2 sse3 sse4.1 ssse3 sse3 sse2 sse ; \
	   do \
	      rm -f bin/$$i-$$j ; \
	   done ; \
	done

override_dh_installman:
	dh_installman
	$(HELP2MAN) \
		 --name='make a dotplot, a.k.a. Oxford Grid, of alignments in LAST tabular format' \
	         $(CURDIR)/bin/last-dotplot > $(mandir)/last-dotplot.1
	$(HELP2MAN) \
	         --name="genome-scale comparison of biological sequences" \
	         --help-option="-h" \
                 $(prefix)/bin/lastal > $(mandir)/lastal.1
	$(HELP2MAN) \
	         --name="genome-scale comparison of biological sequences" \
	         --help-option="-h" \
                 $(prefix)/bin/lastal5 > $(mandir)/lastal5.1
	# help2man output needs manual postprocessing - see debian/mans
	#$(HELP2MAN) \
	#         --name="genome-scale comparison of biological sequences" \
	#         --help-option="-h" \
        #         $(prefix)/bin/lastdb > $(mandir)/lastdb.1
	$(HELP2MAN) \
                 --name="Sort MAF-format alignments by sequence name" \
                 $(CURDIR)/bin/maf-sort > $(mandir)/maf-sort.1
	$(HELP2MAN) \
                 --name="changes the order of the sequences in MAF-format alignments" \
                 $(CURDIR)/bin/maf-swap > $(mandir)/maf-swap.1
	# help2man output needs manual postprocessing - see debian/mans
	#$(HELP2MAN) \
        #         --name="Add extra column with mapping probabilities" \
        #         $(CURDIR)/bin/last-map-probs > $(mandir)/last-map-probs.1
	# This script has not enough to put in a manual page.
	#$(HELP2MAN) \
        #         --name="Read files of lastal output, merge corresponding batches, and write them." \
        #         $(CURDIR)/bin/last-merge-batches > $(mandir)/last-merge-batches.1
	#         # These bin were droped
	#$(HELP2MAN) \
        #         --name="Clean up MAF-format alignments" \
        #         $(CURDIR)/bin/last-reduce-alignments > $(mandir)/last-reduce-alignments.1
	#$(HELP2MAN) \
        #         --name='Remove MAF-format alignments which are "dominated" by others' \
        #         $(CURDIR)/bin/last-remove-dominated > $(mandir)/last-remove-dominated.1
	$(HELP2MAN) \
                 --name='Estimates "split" or "spliced" alignments.' \
                 $(prefix)/bin/last-split > $(mandir)/last-split.1
	$(HELP2MAN) \
                 --name='Estimates "split" or "spliced" alignments.' \
                 $(prefix)/bin/last-split5 > $(mandir)/last-split5.1
	$(HELP2MAN) \
                 --name="Join two or more sets of MAF-format multiple alignments" \
                 $(CURDIR)/bin/maf-join > $(mandir)/maf-join.1
	$(HELP2MAN) \
		 --help-option="-h" \
                 $(CURDIR)/bin/maf-cut > $(mandir)/maf-cut.1
	$(HELP2MAN) \
                 --name="Convert MAF-format alignments to tabular format" \
                 $(CURDIR)/bin/maf-convert > $(mandir)/maf-convert.1
	$(HELP2MAN) \
                 --name="Read 2 fastq files, and write them interleaved" \
                 $(CURDIR)/bin/fastq-interleave > $(mandir)/fastq-interleave.1
	$(HELP2MAN) \
                 --name="Read files of lastal output, merge corresponding batches, and write them" \
                 $(prefix)/bin/last-merge-batches > $(mandir)/last-merge-batches.1
	# help2man output needs manual postprocessing - see debian/mans
	#$(HELP2MAN) \
        #         --name="Read alignments of paired DNA reads to a genome, and do estimations" \
        #         $(prefix)/bin/last-pair-probs > $(mandir)/last-pair-probs.1
	$(HELP2MAN) \
                 --name="Get alignments that have a segment with score >= threshold, with gentle masking of lowercase letters" \
                 $(CURDIR)/bin/last-postmask > $(mandir)/last-postmask.1
	$(HELP2MAN) \
                 --name="Try to find suitable score parameters for aligning the given sequences" \
                 $(CURDIR)/bin/last-train > $(mandir)/last-train.1
	$(HELP2MAN) \
	         --name="Keep the first of identical sequences" \
	         --help-option="-h" \
                 $(prefix)/bin/fasta-nr > $(mandir)/fasta-nr.1
override_dh_gencontrol:
	dh_gencontrol -- -VBuilt-Using="$(BUILT_USING)"

## last-align 1257

=== debian/changelog ===
last-align (1257-1) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Do not embed cpu-specific features in manpages
    Closes: #1003379

  [ Andreas Tille ]
  * Re-enable reprotest in Salca-CI to see whether the means above are
    working properly
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 10 Jan 2022 09:53:09 +0100

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,10 @@
 export DEB_LDFLAGS_MAINT_APPEND += -pthread
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+# Ensure the COMMAND-plain variants is used to generate the manpages
+# for reproducible builds
+export SIMD_LIST = fallback-to-plain-simd
 
 BUILT_USING=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W "libsimde-dev")

## last-align 1260

=== debian/changelog ===
last-align (1260-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1260

 -- Nilesh Patra <nilesh@debian.org>  Wed, 16 Feb 2022 16:40:04 +0530

last-align (1257-2) unstable; urgency=medium

  * d/rules:
    + Pass CFLAGS and CXXFLAGS directly to dh_auto_build rather
      than exporting (Closes: #1003488)
    + export LC_ALL and LANG to use C.UTF-8 (Closes: #1003489)
    (Thanks to Vagrant Cascadian for the patches)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 11 Jan 2022 13:54:19 +0530

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,9 @@
                help2man,
                python3-pil,
                zlib1g-dev,
-               libsimde-dev
-Standards-Version: 4.5.1
+               libsimde-dev,
+               debhelper
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/last-align
 Vcs-Git: https://salsa.debian.org/med-team/last-align.git
 Homepage: https://gitlab.com/mcfrith/last

=== debian/watch ===
version=4
opts=repack,compression=xz \
   https://gitlab.com/mcfrith/last/-/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz

## last-align 1268

=== debian/changelog ===
last-align (1268-1) unstable; urgency=medium

  * New upstream version 1268

 -- Nilesh Patra <nilesh@debian.org>  Sat, 26 Feb 2022 23:52:43 +0530

## last-align 1282

=== debian/changelog ===
last-align (1282-1) unstable; urgency=medium

  * New upstream version 1282
  * Refresh patches

 -- Nilesh Patra <nilesh@debian.org>  Wed, 04 May 2022 15:09:54 +0530

## last-align 1296

=== debian/changelog ===
last-align (1296-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1296
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 29 May 2022 19:12:57 +0530

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                zlib1g-dev,
                libsimde-dev,
                debhelper
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/last-align
 Vcs-Git: https://salsa.debian.org/med-team/last-align.git
 Homepage: https://gitlab.com/mcfrith/last

## last-align 1356

=== debian/changelog ===
last-align (1356-1) unstable; urgency=medium

  * New upstream version 1356

 -- Nilesh Patra <nilesh@debian.org>  Sun, 26 Jun 2022 00:46:20 +0530

## last-align 1389

=== debian/changelog ===
last-align (1389-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 14 Jul 2022 16:39:54 +0200

## last-align 1406

=== debian/changelog ===
last-align (1406-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 28 Jul 2022 16:49:02 +0200

## last-align 1407

=== debian/changelog ===
last-align (1407-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 23 Aug 2022 16:53:32 +0200

## last-align 1411

=== debian/changelog ===
last-align (1411-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 22 Sep 2022 09:28:20 +0200

## last-align 1418

=== debian/changelog ===
last-align (1418-1) unstable; urgency=medium

  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Wed, 19 Oct 2022 09:29:30 +0900

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>,
-           Nilesh Patra <nilesh@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),

## last-align 1420

=== debian/changelog ===
last-align (1420-1) unstable; urgency=medium

  * Add myself back to uploaders
  * New upstream version 1420
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 31 Dec 2022 17:18:26 +0530

## last-align 1447

=== debian/changelog ===
last-align (1447-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 05 Feb 2023 21:03:18 +0100

## last-align 1454

=== debian/changelog ===
last-align (1454-1) unstable; urgency=medium

  * New upstream version 1454. Re-diff patches
  * Update lintian overrides
  * Remove d/NEWS that has relevant news for
    39-1 release ~14 years back

 -- Nilesh Patra <nilesh@debian.org>  Mon, 12 Jun 2023 17:25:25 +0000

## last-align 1456

=== debian/changelog ===
last-align (1456-1) unstable; urgency=medium

  * New upstream version 1456

 -- Nilesh Patra <nilesh@debian.org>  Mon, 19 Jun 2023 19:17:17 +0530

## last-align 1460

=== debian/changelog ===
last-align (1460-1) unstable; urgency=medium

  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Fri, 14 Jul 2023 09:37:02 +0900

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,9 @@
 # for reproducible builds
 export SIMD_LIST = fallback-to-plain-simd
 
+export LC_ALL=C.UTF-8
+export LANG=C.UTF-8
+
 BUILT_USING=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W "libsimde-dev")
 
 %:
@@ -36,22 +39,20 @@
 	mkdir -p $(prefix)
 	mkdir -p $(libexecdir)
 	for SIMD in avx2 avx sse4.1 ssse3 sse3 sse2 ; do \
-		export CXXFLAGS="$(CXXFLAGS) -m$${SIMD}" && export CFLAGS="$(CFLAGS) -m$${SIMD}" && \
-		dh_auto_build -- all SFX=-$${SIMD}  ; \
+		dh_auto_build -- all SFX=-$${SIMD} CFLAGS="$(CFLAGS) -m$${SIMD}" CXXFLAGS="$(CXXFLAGS) -m$${SIMD}" ; \
 		find . -name '*.o' -delete ; \
 		find . -name '*.o5' -delete ; \
 	done
-	export CXXFLAGS="$(CXXFLAGS)" && export CFLAGS="$(CFLAGS)" && dh_auto_build -- all SFX=-plain
+	dh_auto_build -- all SFX=-plain CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)"
 else ifeq (i386,$(DEB_HOST_ARCH))
 	mkdir -p $(prefix)
 	mkdir -p $(libexecdir)
 	for SIMD in avx2 avx sse4.1 ssse3 sse3 sse2 sse; do \
-		export CXXFLAGS="$(CXXFLAGS) -m$${SIMD}" && export CFLAGS="$(CFLAGS) -m$${SIMD}" && \
-		dh_auto_build -- all SFX=-$${SIMD}  ; \
+		dh_auto_build -- all SFX=-$${SIMD} CFLAGS="$(CFLAGS) -m$${SIMD}" CXXFLAGS="$(CXXFLAGS) -m$${SIMD}" ; \
 		find . -name '*.o' -delete ; \
 		find . -name '*.o5' -delete ; \
 	done
-	export CXXFLAGS="$(CXXFLAGS)" && export CFLAGS="$(CFLAGS)" && dh_auto_build -- all SFX=-plain
+	dh_auto_build -- all SFX=-plain CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)"
 else
 	dh_auto_build
 endif

## last-align 1471

=== debian/changelog ===
last-align (1471-1) unstable; urgency=medium

  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Thu, 24 Aug 2023 01:52:30 +0000

## last-align 1519

=== debian/changelog ===
last-align (1519-1) unstable; urgency=medium

  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Mon, 18 Dec 2023 04:22:22 +0000

## last-align 1542

=== debian/changelog ===
last-align (1542-1) unstable; urgency=medium

  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Wed, 21 Feb 2024 08:06:34 +0900

last-align (1540-1) unstable; urgency=medium

  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Mon, 05 Feb 2024 09:27:51 +0900

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>,
+           Nilesh Patra <nilesh@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -10,7 +11,7 @@
                zlib1g-dev,
                libsimde-dev,
                debhelper
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/last-align
 Vcs-Git: https://salsa.debian.org/med-team/last-align.git
 Homepage: https://gitlab.com/mcfrith/last

## last-align 1608

=== debian/changelog ===
last-align (1608-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Add missing trailing newline in debian/patches/series.

 -- Charles Plessy <plessy@debian.org>  Thu, 16 Jan 2025 13:59:43 +0900

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                zlib1g-dev,
                libsimde-dev,
                debhelper
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/last-align
 Vcs-Git: https://salsa.debian.org/med-team/last-align.git
 Homepage: https://gitlab.com/mcfrith/last

## last-align 1609

=== debian/changelog ===
last-align (1609-1) unstable; urgency=medium

  * New upstream version
  * Restrict to 64-bits architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 19 Feb 2025 09:16:14 +0900

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
                python3-pil,
                zlib1g-dev,
                libsimde-dev,
-               debhelper
+               debhelper,
+               architecture-is-64-bit
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/last-align
 Vcs-Git: https://salsa.debian.org/med-team/last-align.git

=== debian/rules ===
--- 
+++ 
@@ -62,19 +62,19 @@
 override_dh_auto_install:
 ifeq (amd64,$(DEB_HOST_ARCH))
 	dh_install debian/bin/simd-dispatch /usr/lib/$(DEB_SOURCE)/
-	dh_install bin/lastdb-* bin/lastal-* bin/last-split-* bin/last-merge-batches-* bin/last-pair-probs-* bin/lastdb5-* bin/lastal5-* bin/last-split5-* usr/lib/last-align
+	dh_install bin/lastdb-* bin/lastal-* bin/last-split-* bin/last-merge-batches-* bin/last-pair-probs-* usr/lib/last-align
 	dh_install bin/fastq-* bin/fasta-* bin/last-dotplot bin/last-map-probs bin/last-postmask bin/last-train bin/maf-* bin/parallel-fast* usr/bin
 	mkdir -p $(prefix)/bin
 	cd $(prefix)/bin \
-		&& for prog in lastdb lastal last-split last-merge-batches last-pair-probs lastdb5 lastal5 last-split5 ; do \
+		&& for prog in lastdb lastal last-split last-merge-batches last-pair-probs ; do \
 		ln -s ../lib/$(DEB_SOURCE)/simd-dispatch $${prog} ; done
 else ifeq (i386,$(DEB_HOST_ARCH))
 	dh_install debian/bin/simd-dispatch /usr/lib/$(DEB_SOURCE)/
-	dh_install bin/lastdb-* bin/lastal-* bin/last-split-* bin/last-merge-batches-* bin/last-pair-probs-* bin/lastdb5-* bin/lastal5-* bin/last-split5-* usr/lib/last-align
+	dh_install bin/lastdb-* bin/lastal-* bin/last-split-* bin/last-merge-batches-* bin/last-pair-probs-* usr/lib/last-align
 	dh_install bin/fastq-* bin/fasta-* bin/last-dotplot bin/last-map-probs bin/last-postmask bin/last-train bin/maf-* bin/parallel-fast* usr/bin
 	mkdir -p $(prefix)/bin
 	cd $(prefix)/bin \
-		&& for prog in lastdb lastal last-split last-merge-batches last-pair-probs lastdb5 lastal5 last-split5 ; do \
+		&& for prog in lastdb lastal last-split last-merge-batches last-pair-probs ; do \
 		ln -s ../lib/$(DEB_SOURCE)/simd-dispatch $${prog} ; done
 else
 	$(MAKE) -j$(NUMJOBS) install prefix=$(prefix)
@@ -90,7 +90,7 @@
 else
 	dh_auto_clean
 endif
-	for i in last-merge-batches last-pair-probs last-split last-split5 lastal lastal5 lastdb lastdb5; \
+	for i in last-merge-batches last-pair-probs last-split lastal lastdb ; \
 	do \
 	   for j in avx avx2 sse2 sse3 sse4.1 ssse3 sse3 sse2 sse ; \
 	   do \
@@ -107,10 +107,6 @@
 	         --name="genome-scale comparison of biological sequences" \
 	         --help-option="-h" \
                  $(prefix)/bin/lastal > $(mandir)/lastal.1
-	$(HELP2MAN) \
-	         --name="genome-scale comparison of biological sequences" \
-	         --help-option="-h" \
-                 $(prefix)/bin/lastal5 > $(mandir)/lastal5.1
 	# help2man output needs manual postprocessing - see debian/mans
 	#$(HELP2MAN) \
 	#         --name="genome-scale comparison of biological sequences" \
@@ -140,9 +136,6 @@
 	$(HELP2MAN) \
                  --name='Estimates "split" or "spliced" alignments.' \
                  $(prefix)/bin/last-split > $(mandir)/last-split.1
-	$(HELP2MAN) \
-                 --name='Estimates "split" or "spliced" alignments.' \
-                 $(prefix)/bin/last-split5 > $(mandir)/last-split5.1
 	$(HELP2MAN) \
                  --name="Join two or more sets of MAF-format multiple alignments" \
                  $(CURDIR)/bin/maf-join > $(mandir)/maf-join.1

=== debian/watch ===
version=4
opts="searchmode=plain" \
   https://gitlab.com/mcfrith/last/tags?sort=updated_desc -/archive/v?\d[\d.]+/last-@ANY_VERSION@@ARCHIVE_EXT@

## last-align 1642

=== debian/changelog ===
last-align (1642-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Better clean the bin/ directory
  * Correct debian/copyright.  Thanks, licenserecon
  * Refresh patch.

 -- Charles Plessy <plessy@debian.org>  Tue, 02 Sep 2025 13:15:27 +0900

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libsimde-dev,
                debhelper,
                architecture-is-64-bit
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/last-align
 Vcs-Git: https://salsa.debian.org/med-team/last-align.git
 Homepage: https://gitlab.com/mcfrith/last

## last-align 1645

=== debian/changelog ===
last-align (1645-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1645
  * Drop myself from uploaders
  * Drop Rules-Requires-Root field
  * Drop Redundant B-D on debhelper

 -- Nilesh Patra <nilesh@debian.org>  Sun, 28 Sep 2025 15:32:21 +0530

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: last-align
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Charles Plessy <plessy@debian.org>,
-           Andreas Tille <tille@debian.org>,
-           Nilesh Patra <nilesh@debian.org>
+           Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -10,13 +9,11 @@
                python3-pil,
                zlib1g-dev,
                libsimde-dev,
-               debhelper,
                architecture-is-64-bit
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/last-align
 Vcs-Git: https://salsa.debian.org/med-team/last-align.git
 Homepage: https://gitlab.com/mcfrith/last
-Rules-Requires-Root: no
 
 Package: last-align
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -92,7 +92,7 @@
 endif
 	for i in last-merge-batches last-pair-probs last-split lastal lastdb ; \
 	do \
-	   for j in avx avx2 sse2 sse3 sse4.1 ssse3 sse3 sse2 sse ; \
+	   for j in avx avx2 plain sse2 sse3 sse4.1 ssse3 sse3 sse2 sse ; \
 	   do \
 	      rm -f bin/$$i-$$j ; \
 	   done ; \

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-pil
Restrictions: allow-stderr

Tests: last-test
Depends: @

## last-align 1651

=== debian/changelog ===
last-align (1651-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Charles Plessy <plessy@debian.org>  Sat, 07 Feb 2026 07:51:22 +0900

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,13 @@
 Uploaders: Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: science
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                help2man,
                python3-pil,
                zlib1g-dev,
                libsimde-dev,
                architecture-is-64-bit
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/med-team/last-align
 Vcs-Git: https://salsa.debian.org/med-team/last-align.git
 Homepage: https://gitlab.com/mcfrith/last
